Package: org.codehaus.groovy

## [Java] Class GroovyException

- org.codehaus.groovy.GroovyException

- All Implemented Interfaces and Traits:
    GroovyExceptionInterface

      public class GroovyException
      extends Exception

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyException ()`
    `GroovyException (String message)`
    `GroovyException (String message, Throwable cause)`
    `GroovyException (boolean fatal)`
    `GroovyException (String message, boolean fatal)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isFatal()`
    `` | `void` | `setFatal(boolean fatal)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class Throwable` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public GroovyException()

    - #### public GroovyException(String message)

    - #### public GroovyException(String message, Throwable cause)

    - #### public GroovyException(boolean fatal)

    - #### public GroovyException(String message, boolean fatal)

  - ### Method Detail

    - #### public boolean isFatal()

    - #### public void setFatal(boolean fatal)